Bug 819116 - Attach API only works with RHQ_AGENT_JAVA_HOME
Attach API only works with RHQ_AGENT_JAVA_HOME
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Agent (Show other bugs)
JON 3.1.0
x86_64 Linux
unspecified Severity medium
: ER01
: JON 3.2.0
Assigned To: Thomas Segismont
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-04 18:05 EDT by Viet Nguyen
Modified: 2014-01-02 15:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-02 15:43:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Viet Nguyen 2012-05-04 18:05:39 EDT
Description of problem:

When RHQ_AGENT_JAVA_EXE_FILE_PATH is specified instead of RHQ_AGENT_JAVA_HOME tools.jar will not be added to classpath in rhq-agent.sh

Version-Release number of selected component (if applicable):

3.1.0.GA

How reproducible:

100%

Steps to Reproduce: 
1. set RHQ_AGENT_JAVA_EXE_FILE_PATH=path to jdk6 java executable
2. run rhq-agent.sh

  
Actual results: (agent.log)

JDK tools.jar not found on system classpath - cannot discover JVMs using Sun JVM Attach API; to fix this, run the RHQ Agent on a JDK, rather than a JRE.


Expected results:

launch script should figure out tools.jar from java exec path or don't give user the option

Additional info:
Comment 1 Mike Foley 2012-05-08 15:33:45 EDT
per BZ triage ... crouch, loleary, foley
Comment 2 Thomas Segismont 2013-06-25 09:47:57 EDT
Fixed in master

commit e0ff57671c03264969d0870a6ba67efb41f8f218
Author: Thomas Segismont <tsegismo@redhat.com>
Date:   Mon Jun 24 17:44:33 2013 +0200
Comment 3 Larry O'Leary 2013-09-06 10:31:41 EDT
As this is MODIFIED or ON_QA, setting milestone to ER1.

Note You need to log in before you can comment on or make changes to this bug.